import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UmbrellaLibraryComponent } from './umbrella-library.component';
// import { UmbrellaDataTableModule, UmbrellaHeaderModule, UmbrellaFooterModule } from '../public-api';

import { UDataTableModule } from './public-modules/data-table/umbrella-table.module';
import { UHeaderModule } from './public-modules/header/umbrella-header.module';
import { UFooterModule } from './public-modules/footer/umbrella-footer.module';

import { NzGridModule } from 'ng-zorro-antd/grid';
import { NzPageHeaderModule } from 'ng-zorro-antd/page-header';
import { NzCardModule } from 'ng-zorro-antd/card';
import { NzTabsModule } from 'ng-zorro-antd/tabs';
import { NzBreadCrumbModule } from 'ng-zorro-antd/breadcrumb';
import { NzCollapseModule } from 'ng-zorro-antd/collapse';
import { NzDividerModule } from 'ng-zorro-antd/divider';
import { NzIconModule, NzIconService } from 'ng-zorro-antd/icon';
import { NzAnchorModule } from 'ng-zorro-antd/anchor';
import { NzTypographyModule } from 'ng-zorro-antd/typography';
import { NzFormModule } from 'ng-zorro-antd/form';
import { NzInputModule } from 'ng-zorro-antd/input';
import { NzInputNumberModule } from 'ng-zorro-antd/input-number';
import { NzSelectModule } from 'ng-zorro-antd/select';
import { NzPaginationModule } from 'ng-zorro-antd/pagination';
import { NzMessageModule } from 'ng-zorro-antd/message';
import { NzRadioModule } from 'ng-zorro-antd/radio';
import { NzButtonModule } from 'ng-zorro-antd/button';
import { NzDrawerModule } from 'ng-zorro-antd/drawer';
import { NzSpaceModule } from 'ng-zorro-antd/space';
import { NzTagModule } from 'ng-zorro-antd/tag';
import { NzModalModule } from 'ng-zorro-antd/modal';
import { NzResultModule } from 'ng-zorro-antd/result';
import { NzTableModule } from 'ng-zorro-antd/table';
import { NzSpinModule } from 'ng-zorro-antd/spin';
import { NzToolTipModule } from 'ng-zorro-antd/tooltip';
import { NzSwitchModule } from 'ng-zorro-antd/switch';

// import {
//   EditOutline,
//   PlusOutline,
//   DeleteOutline,
//   WarningOutline,
// } from '@ant-design/icons-angular/icons';
// import { ReactiveFormsModule } from '@angular/forms';
// import { ErrorCatchingInterceptor } from './interceptors/errors-catching.interceptor';
// import { UmbrellaDataTableModule } from './x-nz-components/data-table/umbrella-table.module';

// import { IconDefinition } from '@ant-design/icons-angular';

// /* Ant icon definitions */
// const icons: IconDefinition[] = [EditOutline, PlusOutline, DeleteOutline, WarningOutline];

@NgModule({
  declarations: [
    UmbrellaLibraryComponent
  ],
  imports: [
     /* Angular Modules */
      CommonModule,

      /* Umbrella Modules */
      UHeaderModule,
      UFooterModule,
      UDataTableModule,

      /* Ant Modules */
      NzGridModule,
      NzPageHeaderModule,
      NzCardModule,
      NzTabsModule,
      NzBreadCrumbModule,
      NzCollapseModule,
      NzDividerModule,
      // NzIconModule.forChild(icons),
      NzAnchorModule,
      NzTypographyModule,
      NzFormModule,
      NzInputModule,
      NzInputNumberModule,
      NzPaginationModule,
      NzSelectModule,
      NzMessageModule,
      NzRadioModule,
      NzButtonModule,
      NzDrawerModule,
      NzSpaceModule,
      NzTagModule,
      NzModalModule,
      NzResultModule,
      NzTableModule,
      NzSpinModule,
      NzToolTipModule,
      NzSwitchModule,
  ],
      exports: [
        CommonModule,

      /* Umbrella Modules */
      UHeaderModule,
      UFooterModule,
      UDataTableModule,

        /* Ant Modules */
        NzGridModule,
        NzPageHeaderModule,
        NzCardModule,
        NzTabsModule,
        NzBreadCrumbModule,
        NzCollapseModule,
        NzDividerModule,
        NzIconModule,
        NzAnchorModule,
        NzTypographyModule,
        NzPaginationModule,
        NzFormModule,
        NzInputModule,
        NzInputNumberModule,
        NzSelectModule,
        NzMessageModule,
        NzRadioModule,
        NzButtonModule,
        NzDrawerModule,
        NzSpaceModule,
        NzTagModule,
        NzModalModule,
        NzResultModule,
        NzTableModule,
        NzSpinModule,
        NzToolTipModule,
        NzSwitchModule,
      ],
})
export class UmbrellaLibraryModule {
    /* This is required for Ant icons to work under umbrella assets structure
     https://ng.ant.design/components/icon/en#static-loading-and-dynamic-loading */
    //  constructor(private _iconService: NzIconService) {
    //   this._iconService.changeAssetsSource('fleet-manager');
    // }
 }




